<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <variable
            name="model"
            type="com.lukouguoji.module_base.ui.weight.search.layout.SearchLayoutModel" />
    </data>

    <com.lukouguoji.module_base.ui.weight.search.layout.PadSearchLayout
        android:id="@+id/psl"
        enable="@{model.enable}"
        hint='@{model.hint}'
        icon="@{model.icon}"
        list="@{model.list}"
        required="@{model.required}"
        setOnIconClickListener="@{()-> model.iconClickCallBack}"
        type="@{model.type}"
        value="@={model.value}"
        android:layout_width="0dp"
        android:layout_height="wrap_content" />
</layout>